;;; emacs-build-time.el --- Test the contracts of `emacs-build-time'

;;; Commentary:
;; 
;; See info node "Version Information".

;;; Code:

(require 'ert)

(ert-deftest emacs-build-time--variable ()
  "Does variable `emacs-build-time' return correct looking values?"
  (should (listp emacs-build-time))
  (should (equal (length emacs-build-time) 3))
  (should (integerp (car emacs-build-time)))
  (should (integerp (cadr emacs-build-time)))
  (should (integerp (caddr emacs-build-time)))
  (should (< (caddr emacs-build-time) 1000000))
  )
