;;; emacs-major-version.el --- Test the contracts of `emacs-major-version'

;;; Commentary:
;; 
;; See info node "Version Information".

;;; Code:

(require 'ert)

(ert-deftest emacs-major-version--variable ()
  "Does variable `emacs-major-version' return correct looking values?"
  (should (integerp emacs-major-version))
  )

(ert-deftest emacs-major-version--in-emacs-version ()
  "Is the value of the variable contained in the return of `emacs-version'?"
  (should (string-match (format "^%d\\." emacs-major-version) emacs-version))
  )
